import { nanoid } from "nanoid";
import components from "../../components";

export class DesignComp {
  id = nanoid();
  compKey: keyof typeof components.CompUI = "Text";
  props = {
    value: undefined as any
  };

  constructor(data?: Partial<DesignComp>) {
    if (!data) return;
    Object.assign(this, data);
  }
}
