import { EditorModule } from ".";
import { DesignTemp } from "./objects/DesignTemp";

export const store = EditorModule.store({
  state: () => ({
    editMode: "edit",
    designData: new DesignTemp(),
  }),
  actions: {
    setEditMode(v: string) {
      this.store.editMode = v;
    },
    initDesignData(data: Partial<DesignTemp>) {
      this.store.designData = new DesignTemp(data);
    },
  },
});
